Name:          libappimage
Version:       1.0.3
Release:       1mamba
Summary:       Implements functionality for dealing with AppImage files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://appimage.org
Source:        https://github.com/AppImage/libappimage.git/v%{version}/libappimage-%{version}.tar.bz2
Patch0:        libappimage-1.0.3-gcc-10.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: librsvg-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Implements functionality for dealing with AppImage files.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%cmake -d build \
   -DCMAKE_CXX_FLAGS="%{optflags} -Wno-narrowing -fcommon"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libappimage.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/appimage
%{_includedir}/appimage/*
%dir %{_includedir}/appimage/core
%{_includedir}/appimage/core/*
%dir %{_includedir}/appimage/utils
%{_includedir}/appimage/utils/*
%dir %{_libdir}/cmake/libappimage
%{_libdir}/cmake/libappimage/imported_dependencies.cmake
%{_libdir}/cmake/libappimage/libappimage*.cmake
%{_libdir}/cmake/libappimage/scripts.cmake
%{_libdir}/libappimage.so
%{_libdir}/libappimage_hashlib.a
%{_libdir}/libappimage_shared.a
%{_libdir}/pkgconfig/libappimage.pc
%doc README.md

%changelog
* Sun Dec 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Tue Nov 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- added debug package

* Fri Nov 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
